using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace llapotsorj
{ 
  /// <summary>
  /// Felsorols tpus a panelek neveinek trolsra.
  /// </summary>
  public enum PanelSorszmok
  {
    Msodik = 1,
    Harmadik,
    Negyedik,
  }
  /// <summary>
  /// Bemutatja az llapotsor hasznlatt.
  /// </summary>
  public partial class frmAblak : Form
  {
    PanelSorszmok PanelSorszm;
    public frmAblak()
    {
      InitializeComponent();
      //
      // Kezdetben a msodik panelt vlasztjuk ki
      //
      PanelSorszm = PanelSorszmok.Msodik;
      rbMsodik.Checked = true;
      tIdzt.Start();
    }
    private void btBer_Click(object sender, EventArgs e)
    {
      ssllapotSor.Items[(int)PanelSorszm].Text = 
        tbSzveg.Text;
    }

    private void frmAblak_FormClosing(object sender, 
      FormClosingEventArgs e)
    {
      tIdzt.Stop();
      e.Cancel = false;
    }

    /// <summary>
    /// Ha megvltozik a kivlasztott panel, akkor az
    /// jat eltroljuk a PanelSorszm adattagban
    /// </summary>
    /// <param name="sender">Az esemnyt elidz vklasztgomb</param>
    /// <param name="e">Az esemny paramterei</param>
    private void rb_CheckedChanged(object sender, EventArgs e)
    {
      if ((RadioButton)sender == rbMsodik)
        PanelSorszm = PanelSorszmok.Msodik;
      else
        if ((RadioButton)sender == rbHarmadik)
          PanelSorszm = PanelSorszmok.Harmadik;
        else
          if ((RadioButton)sender == rbNegyedik)
            PanelSorszm = PanelSorszmok.Negyedik;
    }


    private void tIdzt_Tick(object sender, EventArgs e)
    {
      DateTime Dt = DateTime.Now;
      string Felirat = Dt.Hour.ToString("00") + ":" +
        Dt.Minute.ToString("00") + ":" + 
        Dt.Second.ToString("00");
      tssEls.Text = Felirat;
    }
  }
}